From 475b750fbd810e64c82414b9d8169bad420fa8f6 Mon Sep 17 00:00:00 2001
From: Aruna <aruna@multicorewareinc.com>
Date: Tue, 9 Feb 2021 14:25:24 +0530
Subject: [PATCH] Fix mingw build warnings

---
 source/x265.cpp  | 8 +++++---
 source/x265cli.h | 2 --
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/source/x265.cpp b/source/x265.cpp
index 758c2adec..fae83dc5a 100644
--- a/source/x265.cpp
+++ b/source/x265.cpp
@@ -46,9 +46,11 @@
 using namespace X265_NS;
 
 #define X265_HEAD_ENTRIES 3
-
-#ifdef _WIN32
-#define strdup _strdup
+#define CONSOLE_TITLE_SIZE 200
+
+#ifdef _WIN32
+#define strdup _strdup
+static char orgConsoleTitle[CONSOLE_TITLE_SIZE] = "";
 #endif
 
 #ifdef _WIN32
diff --git a/source/x265cli.h b/source/x265cli.h
index 7a2e0a267..47f1ad25d 100644
--- a/source/x265cli.h
+++ b/source/x265cli.h
@@ -33,11 +33,9 @@
 
 #include <getopt.h>
 
-#define CONSOLE_TITLE_SIZE 200
 #ifdef _WIN32
 #include <windows.h>
 #define SetThreadExecutionState(es)
-static char orgConsoleTitle[CONSOLE_TITLE_SIZE] = "";
 #else
 #define GetConsoleTitle(t, n)
 #define SetConsoleTitle(t)
-- 
2.20.1.windows.1

